Skip to content

Get a custom connector

GET
/api/v1/custom-connectors/{connector_id}
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/custom-connectors/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'X-API-Key: <X-API-Key>'

Get a single custom connector by ID.

Args: connector_id: The connector UUID.

Returns: The connector definition (auth_config excluded).

connector_id
required
Connector Id
string format: uuid

Successful Response

Media typeapplication/json
CustomConnectorResponse

Response model for a custom connector (auth_config excluded).

object
auth_type
required
Auth Type
string
base_url
required
Base Url
string
created_at
Any of:
string format: date-time
description
Any of:
string
display_name
required
Display Name
string
endpoints
Endpoints
Array<object>
object
key
additional properties
any
id
required
Id
string
is_active
required
Is Active
boolean
last_test_at
Any of:
string format: date-time
last_test_success
Any of:
boolean
slug
required
Slug
string
updated_at
Any of:
string format: date-time
version
required
Version
integer
Examplegenerated
{
"auth_type": "example",
"base_url": "example",
"created_at": "2026-04-15T12:00:00Z",
"description": "example",
"display_name": "example",
"endpoints": [
{}
],
"id": "example",
"is_active": true,
"last_test_at": "2026-04-15T12:00:00Z",
"last_test_success": true,
"slug": "example",
"updated_at": "2026-04-15T12:00:00Z",
"version": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}